<?xml version="1.0" encoding="utf-8" standalone="no"?>
<problem revision="45" short-name="graph-coloring" url="https://polygon.codeforces.com/p8FI5Q6/tourist/graph-coloring">
    <names>
        <name language="english" value="Games of Chess"/>
    </names>
    <statements>
        <statement charset="UTF-8" language="english" mathjax="true" path="statements/english/problem.tex" type="application/x-tex"/>
        <statement charset="UTF-8" language="english" mathjax="true" path="statements/.html/english/problem.html" type="text/html"/>
        <statement language="english" path="statements/.pdf/english/problem.pdf" type="application/pdf"/>
    </statements>
    <tutorials>
        <tutorial charset="UTF-8" language="english" mathjax="true" path="statements/english/tutorial.tex" type="application/x-tex"/>
        <tutorial language="english" path="statements/.pdf/english/tutorial.pdf" type="application/pdf"/>
    </tutorials>
    <judging cpu-name="Intel(R) Core(TM) i3-8100 CPU @ 3.60GHz" cpu-speed="3600" input-file="" output-file="" run-count="1">
        <testset name="tests">
            <time-limit>2000</time-limit>
            <memory-limit>1073741824</memory-limit>
            <test-count>98</test-count>
            <input-path-pattern>tests/%02d</input-path-pattern>
            <answer-path-pattern>tests/%02d.a</answer-path-pattern>
            <tests>
                <test method="manual" sample="true"/>
                <test cmd="gen-1 10 10 20 2" method="generated"/>
                <test cmd="gen-1 10 10 20 3" method="generated"/>
                <test cmd="gen-1 10 10 20 4" method="generated"/>
                <test cmd="gen-1 100 100 200 5" method="generated"/>
                <test cmd="gen-1 100 100 200 6" method="generated"/>
                <test cmd="gen-1 100 100 200 7" method="generated"/>
                <test cmd="gen-1 100 100 2000 8" method="generated"/>
                <test cmd="gen-1 100 100 2000 9" method="generated"/>
                <test cmd="gen-1 100 100 2000 10" method="generated"/>
                <test cmd="gen-1 10000 10 20 11" method="generated"/>
                <test cmd="gen-1 10 10000 20000 12" method="generated"/>
                <test cmd="gen-1 10 10000 20000 13" method="generated"/>
                <test cmd="gen-1 10 10000 20000 14" method="generated"/>
                <test cmd="gen-1 5 20000 40000 15" method="generated"/>
                <test cmd="gen-1 5 20000 40000 16" method="generated"/>
                <test cmd="gen-1 5 20000 40000 17" method="generated"/>
                <test cmd="gen-1 3 30000 60000 18" method="generated"/>
                <test cmd="gen-1 2 50000 100000 19" method="generated"/>
                <test cmd="gen-1 1 100000 200000 20" method="generated"/>
                <test cmd="gen-1 1 100000 200000 21" method="generated"/>
                <test cmd="gen-1 1 100000 200000 22" method="generated"/>
                <test cmd="gen-2 1 100000 200000 23" method="generated"/>
                <test cmd="gen-3 1 100000 200000 24" method="generated"/>
                <test cmd="gen-3 1 100000 200000 25" method="generated"/>
                <test cmd="gen-comb 26" method="generated"/>
                <test cmd="gen-max 27" method="generated"/>
                <test cmd="gen-1 1 1000 200000 28" method="generated"/>
                <test cmd="gen-triangles 29" method="generated"/>
                <test cmd="gen_small 10000 0" method="generated"/>
                <test cmd="gen_small 10000 1" method="generated"/>
                <test cmd="gen_small 10000 2" method="generated"/>
                <test cmd="gen_random -t=10000 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_random -t=1000 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_random -t=100 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_random -t=10 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_random -t=1 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_random_even -t=10000 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_random_even -t=5000 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_random_even -t=2000 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_random_even -t=1000 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_random_even -t=500 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_random_even -t=200 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_random_even -t=100 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_random_even -t=50 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_random_even -t=20 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_random_even -t=10 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_random_even -t=5 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_random_even -t=2 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_random_even -t=1 -minn=2 -maxn=100000 a" method="generated"/>
                <test cmd="gen_random_even -t=1 -minn=2 -maxn=100000 b" method="generated"/>
                <test cmd="gen_random_even -t=1 -minn=2 -maxn=100000 c" method="generated"/>
                <test cmd="gen_random_even -t=1 -minn=2 -maxn=100000 d" method="generated"/>
                <test cmd="gen_random_even -t=1 -minn=2 -maxn=100000 e" method="generated"/>
                <test cmd="gen_random_even -t=1 -minn=2 -maxn=100000 f" method="generated"/>
                <test cmd="gen_random_even -t=1 -minn=2 -maxn=100000 g" method="generated"/>
                <test cmd="gen_random_even -t=1 -minn=2 -maxn=100000 h" method="generated"/>
                <test cmd="gen_random_even -t=1 -minn=2 -maxn=100000 i" method="generated"/>
                <test cmd="gen_random_even -t=1 -minn=2 -maxn=100000 j" method="generated"/>
                <test cmd="gen_random_leaves -t=10000 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_random_leaves -t=5000 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_random_leaves -t=2000 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_random_leaves -t=1000 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_random_leaves -t=500 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_random_leaves -t=200 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_random_leaves -t=100 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_random_leaves -t=50 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_random_leaves -t=20 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_random_leaves -t=10 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_random_leaves -t=5 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_random_leaves -t=2 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_random_leaves -t=1 -minn=2 -maxn=100000 a" method="generated"/>
                <test cmd="gen_random_leaves -t=1 -minn=2 -maxn=100000 b" method="generated"/>
                <test cmd="gen_random_leaves -t=1 -minn=2 -maxn=100000 c" method="generated"/>
                <test cmd="gen_random_leaves -t=1 -minn=2 -maxn=100000 d" method="generated"/>
                <test cmd="gen_random_leaves -t=1 -minn=2 -maxn=100000 e" method="generated"/>
                <test cmd="gen_random_leaves -t=1 -minn=2 -maxn=100000 f" method="generated"/>
                <test cmd="gen_random_leaves -t=1 -minn=2 -maxn=100000 g" method="generated"/>
                <test cmd="gen_random_leaves -t=1 -minn=2 -maxn=100000 h" method="generated"/>
                <test cmd="gen_random_leaves -t=1 -minn=2 -maxn=100000 i" method="generated"/>
                <test cmd="gen_random_leaves -t=1 -minn=2 -maxn=100000 j" method="generated"/>
                <test cmd="gen_random_leaves_fixed -t=1 -minn=2 -maxn=100000 -leaves=42" method="generated"/>
                <test cmd="gen_random_leaves_fixed -t=1 -minn=2 -maxn=100000 -leaves=123" method="generated"/>
                <test cmd="gen_random_leaves_fixed -t=1 -minn=2 -maxn=100000 -leaves=1234" method="generated"/>
                <test cmd="gen_random_leaves_fixed -t=1 -minn=2 -maxn=100000 -leaves=12345" method="generated"/>
                <test cmd="gen_random_leaves_fixed -t=1 -minn=2 -maxn=100000 -leaves=50000" method="generated"/>
                <test cmd="gen_random_leaves_fixed -t=1 -minn=2 -maxn=100000 -leaves=77777" method="generated"/>
                <test cmd="gen_random_leaves_fixed -t=1 -minn=2 -maxn=100000 -leaves=91919" method="generated"/>
                <test cmd="gen_random_leaves_fixed -t=1 -minn=2 -maxn=100000 -leaves=99111" method="generated"/>
                <test cmd="gen_random_leaves_fixed -t=1 -minn=2 -maxn=100000 -leaves=99911" method="generated"/>
                <test cmd="gen_random_leaves_fixed -t=1 -minn=2 -maxn=100000 -leaves=99933" method="generated"/>
                <test cmd="gen_random_leaves_fixed -t=1 -minn=2 -maxn=100000 -leaves=99955" method="generated"/>
                <test cmd="gen_random_leaves_fixed -t=1 -minn=2 -maxn=100000 -leaves=99977" method="generated"/>
                <test cmd="gen_random_leaves_fixed -t=1 -minn=2 -maxn=100000 -leaves=99991" method="generated"/>
                <test cmd="gen_random_leaves_fixed -t=1 -minn=2 -maxn=100000 -leaves=99995" method="generated"/>
                <test cmd="gen_random_leaves_fixed -t=1 -minn=2 -maxn=100000 -leaves=99997" method="generated"/>
                <test cmd="gen_random_leaves_fixed -t=1 -minn=2 -maxn=100000 -leaves=99998" method="generated"/>
                <test cmd="gen_random_leaves_fixed -t=1 -minn=2 -maxn=100000 -leaves=99999" method="generated"/>
            </tests>
        </testset>
    </judging>
    <files>
        <resources>
            <file path="files/olymp.sty"/>
            <file path="files/problem.tex"/>
            <file path="files/statements.ftl"/>
            <file path="files/testlib.h" type="h.g++"/>
            <file path="files/tutorial.tex"/>
        </resources>
        <executables>
            <executable>
                <source path="files/checker.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/checker.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen-1.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen-1.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen-2.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen-2.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen-3.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen-3.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen-comb.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen-comb.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen-max.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen-max.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen-triangles.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen-triangles.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen_random.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen_random.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen_random_even.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen_random_even.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen_random_leaves.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen_random_leaves.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen_random_leaves_fixed.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen_random_leaves_fixed.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen_small.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen_small.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/validator.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/validator.exe" type="exe.win32"/>
            </executable>
        </executables>
    </files>
    <assets>
        <checker type="testlib">
            <source path="files/checker.cpp" type="cpp.gcc14-64-msys2-g++23"/>
            <binary path="check.exe" type="exe.win32"/>
            <copy path="check.cpp" type="cpp.gcc14-64-msys2-g++23"/>
            <testset>
                <test-count>9</test-count>
                <input-path-pattern>files/tests/checker-tests/%02d</input-path-pattern>
                <output-path-pattern>files/tests/checker-tests/%02d.o</output-path-pattern>
                <answer-path-pattern>files/tests/checker-tests/%02d.a</answer-path-pattern>
                <tests>
                    <test verdict="wrong-answer"/>
                    <test verdict="wrong-answer"/>
                    <test verdict="crashed"/>
                    <test verdict="crashed"/>
                    <test verdict="ok"/>
                    <test verdict="wrong-answer"/>
                    <test verdict="wrong-answer"/>
                    <test verdict="ok"/>
                    <test verdict="wrong-answer"/>
                </tests>
            </testset>
        </checker>
        <validators>
            <validator>
                <source path="files/validator.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/validator.exe" type="exe.win32"/>
                <testset>
                    <test-count>7</test-count>
                    <input-path-pattern>files/tests/validator-tests/%02d</input-path-pattern>
                    <tests>
                        <test verdict="valid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                    </tests>
                </testset>
            </validator>
        </validators>
        <solutions>
            <solution tag="rejected">
                <source path="solutions/347943396_ksun48_wa2.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/347943396_ksun48_wa2.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/347943591_ksun48_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/347943591_ksun48_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/348066233_shade34_SomethingNew_goncharovmike_wa4.cpp" type="cpp.gcc13-64-winlibs-g++20"/>
                <binary path="solutions/348066233_shade34_SomethingNew_goncharovmike_wa4.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/348066541_shade34_SomethingNew_goncharovmike_ok.cpp" type="cpp.gcc13-64-winlibs-g++20"/>
                <binary path="solutions/348066541_shade34_SomethingNew_goncharovmike_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/348100865__LeMur__wa2.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348100865__LeMur__wa2.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/348165065_jeroenodb_wa4.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348165065_jeroenodb_wa4.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/348167278_jeroenodb_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348167278_jeroenodb_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/348374988__LeMur__ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348374988__LeMur__ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="main">
                <source path="solutions/linear.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/linear.exe" type="exe.win32"/>
            </solution>
            <solution tag="time-limit-exceeded-or-accepted">
                <source path="solutions/nm.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/nm.exe" type="exe.win32"/>
            </solution>
            <solution tag="time-limit-exceeded">
                <source path="solutions/nm_slow.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/nm_slow.exe" type="exe.win32"/>
            </solution>
            <solution tag="time-limit-exceeded-or-accepted">
                <source path="solutions/random-mst.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/random-mst.exe" type="exe.win32"/>
            </solution>
            <solution tag="time-limit-exceeded">
                <source path="solutions/recursive-exponent.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/recursive-exponent.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/tourist.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/tourist.exe" type="exe.win32"/>
            </solution>
        </solutions>
    </assets>
    <properties>
        <property name="tests-wellformed" value="true"/>
    </properties>
    <stresses>
        <stress-count>0</stress-count>
        <stress-path-pattern>stresses/%03d</stress-path-pattern>
        <list/>
    </stresses>
    <tags>
        <tag value="bfs"/>
        <tag value="dfs and similar"/>
        <tag value="graphs"/>
        <tag value="parity"/>
    </tags>
</problem>
